﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Program_kolko
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        Kolko moje = new Kolko(40, 50, 50);
        private void Form1_Load(object sender, EventArgs e)
        {            
            
        }

        private void btnRysuj_Click(object sender, EventArgs e)
        {
            timer1.Start();
            btnRysuj.Visible = false;
        }
        bool going_right = true;
        bool going_down = true;
        Color c = Color.Red;
        Random r = new Random();
        Font drawFont = new Font("Arial", 12);
        string text = "ALIBABA";
        private void timer1_Tick(object sender, EventArgs e)
        {
            if (going_right) moje.X++; else moje.X--;
            if (moje.X + moje.Promien + 20 > this.Width) { going_right = false; c = Color.FromArgb(r.Next(0, 255), r.Next(0, 255), r.Next(0, 255)); }
            if (moje.X - moje.Promien < 0) { going_right = true; c = Color.FromArgb(r.Next(0, 255), r.Next(0, 255), r.Next(0, 255)); }

            if (going_down) moje.Y++; else moje.Y--;
            if (moje.Y + moje.Promien + 40 > this.Height) { going_down = false; c = Color.FromArgb(r.Next(0, 255), r.Next(0, 255), r.Next(0, 255)); }
            if (moje.Y - moje.Promien < 0) { going_down = true; c = Color.FromArgb(r.Next(0, 255), r.Next(0, 255), r.Next(0, 255)); }

            if (c.GetBrightness() < 0.5) this.BackColor = Color.White;
            else this.BackColor = Color.Black;

            this.Invalidate();
            
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            using (System.Drawing.Graphics graphics = System.Drawing.Graphics.FromImage(new Bitmap(1, 1)))
            {
                SizeF size = graphics.MeasureString(text, drawFont);

                moje.RysujKolko(e.Graphics, c);
                e.Graphics.DrawString(text, drawFont, new SolidBrush(c), moje.X - (size.Width / 2), moje.Y - (size.Height / 2));
            }
        }
    }
}
