﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Program_kolko
{
    class Kolko
    {
        public double Promien;
        public int X;
        public int Y;

        public Kolko()
        {
            Promien = 1;
            X = 0;
            Y = 0;
        }
        public Kolko(double p, int x, int y)
        {
            Promien = p;
            X = x;
            Y = y;
        }

        public double PoliczPole()
        {
            return (Math.PI * Promien * Promien);
        }

        public void RysujKolko(System.Drawing.Graphics g, System.Drawing.Color c)
        {
            for (double d = 0; d < Math.PI * 2; d += 0.01)
            {
                g.FillRectangle(new System.Drawing.SolidBrush(c), (float)(Math.Cos(d) * Promien) + X, (float)(Math.Sin(d) * Promien) + Y, 2, 2);
            }
        }
    }
}
